%define name oss
%define version 0.6.0
%define major   0
%define libname %mklibname oss %{major}
%define release %mkrel 1

Summary: Object Sharing Service release
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:	oss-0.3_all.patch
License: GPL
Group: System/Cluster
Url: http://www.xtreemos.eu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	readline-devel ncurses-devel libglib2.0-devel tetex-cmsuper


%description
The Grid Object Sharing Service (GOSS) implements distributed objects for nodes
participating in an interactive grid application. GOSS is part of XtreemOS
WP3.4 (http://www.xtreemos.eu/).

In the GOSS source package, the file "doc/Users_Guide.txt" contains more
information on the GOSS' modest software requirements as well as on how
applications can use GOSS to access distributed objects.

%package -n     %{libname}
Group:          System/Libraries
Summary: Object Sharing Service release Librarie

%description -n %{libname}
Object Sharing Service release Librarie

%package -n     %{libname}-devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       liboss-devel = %{version}
Provides:       %name-devel = %{version}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n     %{libname}-static-devel
Summary:        Static %{libname} library
Group:          Development/C++
Requires:       %{libname}-devel = %{version}
Provides:       liboss-static-devel = %{version}
Provides:       %name-static-devel = %{version}

%description -n %{libname}-static-devel
Static %{libname} library.


%prep
%setup -q
rm -Rf build
%patch0 -p1

%build
case `uname -m` in
       x86_64 )
	arch=X86_64
;;
       i386 | i586 | i686 )
	arch=I686
;;
esac

%make ARCH=$arch

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README INSTALL doc/*.pdf
%{_bindir}/oss_simple
%{_mandir}/man1/oss_config.1.lzma
%{_mandir}/man1/oss_simple.1.lzma


%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/lib*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%{_bindir}/oss_config
%{_libdir}/pkgconfig/oss.pc
%{_includedir}/*

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a


%changelog
